Bug 888716 - Disabling S4 inside guest and sending S4 command to windows guest agent results in some problem
Summary: Disabling S4 inside guest and sending S4 command to windows guest agent resul...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jeff Cody
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 912287
TreeView+ depends on / blocked
 
Reported: 2012-12-19 10:03 UTC by Qunfang Zhang
Modified: 2014-06-05 22:16 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-05 22:16:49 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qunfang Zhang 2012-12-19 10:03:17 UTC
Description of problem:
As subject, disabled S4 inside guest with "#powercfg -h off" and then send {"execute": "guest-suspend-disk"} command to guest agent, meet some problems:
(1) For win7-32, guest gets black screen and does not return back after long time (I wait 10 mins).
(2) For win2012-64, qemu-ga service will be stop.

Version-Release number of selected component (if applicable):
Host:
kernel-2.6.32-348.el6.x86_64
qemu-kvm-0.12.1.2-2.346.el6.x86_64

Guest:
Win7-32 and win2012, installed the executable from qemu-guest-agent-win32-0.12.1.2-2.346.el6.x86_64


How reproducible:
Always

Steps to Reproduce:
1.Boot a guest:
 /usr/libexec/qemu-kvm -M rhel6.4.0 -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -enable-kvm -name t2-rhel6.4-32 -uuid 61b6c504-5a8b-4fe1-8347-6c929b750dde -k en-us -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device usb-tablet,id=input0 -drive file=/home/win7-32.qcow2,if=none,id=disk0,format=qcow2,werror=stop,rerror=stop,aio=native -device ide-drive,bus=ide.0,unit=1,drive=disk0,id=disk0  -drive file=/home/en_windows_7_ultimate_with_sp1_x86_dvd_619077.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,drive=drive-ide0-1-0,bus=ide.1,unit=0,id=cdrom -netdev tap,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=44:37:E6:5E:91:85,bus=pci.0,addr=0x5 -monitor stdio -qmp tcp:0:6666,server,nowait -chardev socket,path=/tmp/isa-serial,server,nowait,id=isa1 -device isa-serial,chardev=isa1,id=isa-serial1 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x8 -chardev socket,id=charchannel0,path=/tmp/serial-socket,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.rhevm.vdsm -chardev socket,path=/tmp/foo,server,nowait,id=foo -device virtconsole,chardev=foo,id=console0 -chardev spicevmc,id=charchannel1,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=2,chardev=charchannel1,id=channel1,name=com.redhat.spice.0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x9 -spice port=5930,disable-ticketing -vga qxl -global qxl-vga.vram_size=67108864 -k en-us -boot c -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtserialport,bus=virtio-serial0.0,chardev=qga0,name=org.qemu.guest_agent.0  -global  PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0

2. Install the qemu-guest-agent-win32-0.12.1.2-2.346.el6.x86_64 on a rhel host and get the executable.

3. Install the qemu-ga.exe inside windows guest.
#c:\qemu-ga>qemu-ga.exe --service install

4. In guest:
In guest, open "services.msc" and check if qemu-ga service is started. If not, start the qemu-ga service.

5. Send some commands to guest agent to make sure it works:
# nc -U /tmp/qga.sock 
{ "execute": "guest-ping"}
{"return": {}}
{ "execute": "guest-sync-delimited", "arguments": { "id": 123456 } }
�{"return": 123456}

6. Turn off 'Hibernate' inside guest.
#powercfg -h off

7. Inside guest, check if S4 is really disabled.
#powercfg -a

8. Send {"execute": "guest-suspend-disk"} command to guest agent.

  
Actual results:
(1) For win7-32, guest gets black screen and does not return back after long time (I wait 10 mins).
(2) For win2012-64, qemu-ga service will be stop.

Expected results:
Should give some friendly prompt like doing S3 when S3 is disabled. The following prompt is acceptable.

{ "execute": "guest-suspend-ram"}
{"error": {"class": "QgaCommandFailed", "desc": "Guest agent command failed, error was 'suspend-to-ram not supported by OS'", "data": {"message": "suspend-to-ram not supported by OS"}}}


Additional info:

Comment 2 RHEL Product and Program Management 2012-12-24 06:47:48 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 6 Ademar Reis 2014-06-05 22:16:49 UTC
S3/S4 support is tech-preview in RHEL6 and it'll be promoted to fully supported
at some point, but only in RHEL7.

Therefore we're closing all S3/S4 related bugs in RHEL6. New bugs will be
considered only if they're regressions or break some important use-case or
certification.

RHEL7 is being more extensively tested and effort from QE is underway in
certifying that this particular bug is not present there.

Please reopen with a justification if you believe this bug should not be
closed. We'll consider them on a case-by-case basis following a best effort
approach.


Thank you.


Note You need to log in before you can comment on or make changes to this bug.